define(['underscore', 'backbone', 'context'], function (_, Backbone, Context) {
    var Column = Backbone.Model.extend({
        url_base: "/schema/column/%(connection)s/%(db)s/%(table)s/%(column)s",
        url: function () {
            var data = Context;
            data.column = this.get("title")
            return encodeURI(this.url_base.format(data));
        },
        idAttribute: "title",
        defaults: {"title": null}
    });
    return Column;
});
