define(['underscore', 'backbone', 'context'], function (_, Backbone, Context) {
    var Index = Backbone.Model.extend({
        url_base_existing: "/schema/index/%(connection)s/%(db)s/%(table)s/%(name)s",
        url_base: "/schema/index/%(connection)s/%(db)s/%(table)s",
        url: function () {
            var data = Context;
            if (this.idAttribute === "name" && this.get("name")) {
              data.name = this.get("name")
              return encodeURI(this.url_base_existing.format(data));
            }
            return encodeURI(this.url_base.format(data));
        },
        defaults: {name: null, type: "index", columns: null}
    });
    return Index;
});
