define(['context', 'collections/tables', 'models/table'], function (Context, Tables, Table) {
    describe("Tables", function () {
        it("should return correct urls", function () {

            // mock context
            Context.connection = 1;
            Context.db = "test";
            Context.table = "test_table";
            Context.driver = "postgresql";

            var t = new Tables();
            expect(t.url()).toBe("/schema/tables/1/test");
        });
        it("should have Table model", function () {
            var t = new Tables();
            expect(t.model).toBe(Table);
        });
    });
});