define(['underscore', 'backbone', 'models/connection', 'context'],
    function (_, Backbone, Connection, Context) {
        var Databases = Backbone.Collection.extend({
            url: function () {
                return "/query/databases/%(connection)s".format(Context);
            },
            parse: function (res) {
                return _.map(res, function (db) {
                    return {title: db};
                });
            }
        });
        return Databases;
    });

